package domain

type AlibabaWdkMarketingBuygiftItemRemoveAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingBuygiftItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingBuygiftItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
